declare const AccountAddressPutSchema: import("yup").ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    id: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    address: import("yup").ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>>;
}>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    id: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    address: import("yup").ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>>;
}>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
    id: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    address: import("yup").ObjectSchema<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>, Record<string, any>, import("yup/lib/object").TypeOfShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>, import("yup/lib/object").AssertsShape<import("yup/lib/object").Assign<import("yup/lib/object").ObjectShape, {
        line1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        line2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level1: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        level2: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        postalCode: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
        country: import("yup/lib/string").RequiredStringSchema<string, Record<string, any>>;
    }>>>;
}>>>;
export { AccountAddressPutSchema };
